// JointDlg.cpp : t@C
//

#include "stdafx.h"
#include "SkeletonMFC.h"
#include "JointDlg.h"
#include "MainDoc.h"
#include "SceneView.h"

// CJointDlg _CAO

IMPLEMENT_DYNAMIC(CJointDlg, CDialogBar)

CJointDlg::CJointDlg()
{
}

CJointDlg::~CJointDlg()
{
}

void CJointDlg::OnFinalRelease()
{
	CDialogBar::OnFinalRelease();
}

void CJointDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogBar::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CJointDlg, CDialogBar)
	ON_BN_CLICKED(IDC_RADIO0, &CJointDlg::OnBnClickedRadio0)
	ON_BN_CLICKED(IDC_RADIO1, &CJointDlg::OnBnClickedRadio1)
	ON_BN_CLICKED(IDC_RADIO2, &CJointDlg::OnBnClickedRadio2)
	ON_BN_CLICKED(IDC_RADIO4, &CJointDlg::OnBnClickedRadio4)
	ON_BN_CLICKED(IDC_RADIO5, &CJointDlg::OnBnClickedRadio5)
	ON_BN_CLICKED(IDC_RADIO6, &CJointDlg::OnBnClickedRadio6)
	ON_BN_CLICKED(IDC_RADIO8, &CJointDlg::OnBnClickedRadio8)
	ON_BN_CLICKED(IDC_RADIO9, &CJointDlg::OnBnClickedRadio9)
	ON_BN_CLICKED(IDC_RADIO10, &CJointDlg::OnBnClickedRadio10)
	ON_BN_CLICKED(IDC_RADIO12, &CJointDlg::OnBnClickedRadio12)
	ON_BN_CLICKED(IDC_RADIO13, &CJointDlg::OnBnClickedRadio13)
	ON_BN_CLICKED(IDC_RADIO14, &CJointDlg::OnBnClickedRadio14)
	ON_BN_CLICKED(IDC_RADIO16, &CJointDlg::OnBnClickedRadio16)
	ON_BN_CLICKED(IDC_RADIO17, &CJointDlg::OnBnClickedRadio17)
	ON_BN_CLICKED(IDC_RADIO18, &CJointDlg::OnBnClickedRadio18)
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CJointDlg, CDialog)
END_DISPATCH_MAP()

// {7656A21D-1AB4-4879-886E-84EC5DE1C93C}
static const IID IID_IJointDlg =
{ 0x7656A21D, 0x1AB4, 0x4879, { 0x88, 0x6E, 0x84, 0xEC, 0x5D, 0xE1, 0xC9, 0x3C } };

BEGIN_INTERFACE_MAP(CJointDlg, CDialog)
	INTERFACE_PART(CJointDlg, IID_IJointDlg, Dispatch)
END_INTERFACE_MAP()



BOOL CJointDlg::Create(CWnd * pParentWnd, LPCTSTR lpszTemplateName, UINT nStyle, UINT nID)
{
	m_pOwnerWnd = pParentWnd;

	if(!CDialogBar::Create(pParentWnd, lpszTemplateName, nStyle, nID))
		return FALSE;
	if(!OnInitDialogBar())
		return FALSE;

	return TRUE;
}

BOOL CJointDlg::Create(CWnd * pParentWnd, UINT nIDTemplate,
	UINT nStyle, UINT nID)
{
	m_pOwnerWnd = pParentWnd;

	if(!Create(pParentWnd, MAKEINTRESOURCE(nIDTemplate), nStyle, nID))
		return FALSE;
	if(!OnInitDialogBar())
		return FALSE;
	return TRUE;
}

BOOL CJointDlg::OnInitDialogBar()
{
	UpdateData(FALSE);
	return TRUE;
}

void CJointDlg::OnBnClickedRadio0()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_ROOT);
}
void CJointDlg::OnBnClickedRadio1()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_CHEST);
}
void CJointDlg::OnBnClickedRadio2()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_NECK);
}
void CJointDlg::OnBnClickedRadio4()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LSHOULDER);
}
void CJointDlg::OnBnClickedRadio5()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LELBOW);
}
void CJointDlg::OnBnClickedRadio6()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LWRIST);
}
void CJointDlg::OnBnClickedRadio8()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RSHOULDER);
}
void CJointDlg::OnBnClickedRadio9()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RELBOW);
}
void CJointDlg::OnBnClickedRadio10()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RWRIST);
}
void CJointDlg::OnBnClickedRadio12()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LHIP);
}
void CJointDlg::OnBnClickedRadio13()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LKNEE);
}
void CJointDlg::OnBnClickedRadio14()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_LANKLE);
}
void CJointDlg::OnBnClickedRadio16()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RHIP);
}
void CJointDlg::OnBnClickedRadio17()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RKNEE);
}
void CJointDlg::OnBnClickedRadio18()
{
	m_pOwnerWnd->SendMessage(WM_USER_JOINT_SELECT, JID_RANKLE);
}
