// MainFrm.cpp : CMainFrame NX̎
//

#include "stdafx.h"
#include "SkeletonMFC.h"

#include "MainFrm.h"
#include "MainDoc.h"
#include "SceneView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_CREATE()
	ON_COMMAND(ID_VIEW_JOINT_DIALOG, OnViewJointDlg)
	ON_UPDATE_COMMAND_UI(ID_VIEW_JOINT_DIALOG, OnUpdateViewJointDlg)
	ON_MESSAGE(WM_USER_JOINT_SELECT, OnJointSelect)
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // Xe[^X C CWP[^
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};


// CMainFrame RXgNV/fXgNV

CMainFrame::CMainFrame()
{
	// TODO: oR[hɒǉĂB
}

CMainFrame::~CMainFrame()
{
}


int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Xe[^X o[̍쐬Ɏs܂B\n");
		return -1;      // 쐬ł܂łB
	}


	if (!m_wndJointDlg.Create(this, IDD_DIALOGBAR, WS_VISIBLE | CBRS_TOP, AFX_IDW_TOOLBAR))
	{
		TRACE0("Failed to create dialogbar\n");
		return -1;
	}
	m_wndJointDlg.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndJointDlg, AFX_IDW_DOCKBAR_RIGHT);
	m_wndJointDlg.SetWindowText("Joint");
	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: ̈ʒu CREATESTRUCT cs C Window NX܂̓X^C
	//  CĂB

	return TRUE;
}


// CMainFrame ff

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG


// CMainFrame bZ[W nh




void CMainFrame::OnViewJointDlg()
{
	if (m_wndJointDlg.IsWindowVisible())
		ShowControlBar(&m_wndJointDlg, FALSE, FALSE);
	else
		ShowControlBar(&m_wndJointDlg, TRUE, TRUE);
}

void CMainFrame::OnUpdateViewJointDlg(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(m_wndJointDlg.IsWindowVisible());
}

LRESULT CMainFrame::OnJointSelect(WPARAM wPara, LPARAM lPara)
{
	((CSceneView *)GetActiveView())->SelectJoint(wPara);
	return 0;
}
